Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IPwlWdrSensorMode Class Reference
SensorMode | Ext::PwlWdrSensorMode

Interface to the properties of a PWL WDR device. More...

`#include <PwlWdrSensorMode.h>`

Inheritance diagram for Argus::Ext::IPwlWdrSensorMode:

List of all members.

## Public Member Functions
virtual uint32_t | getControlPointCount () const =0
| Returns the number of control points coordinates in the Piecewise Linear compression curve.
virtual Status | getControlPoints (std::vector< Point2D< float > > *points) const =0
| Returns the Piecewise Linear (PWL) compression curve coordinates.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IPwlWdrSensorMode ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to the properties of a PWL WDR device.

Returns a list of normalized float coordinates (x,y) that define the Piecewise Linear (PWL) compression curve used in the PWL Wide Dynamic Range (WDR) mode. The coordinates are returned in a Point2D tuple. The coordinates can be un-normalized by scaling x-axis and y-axis values by InputBitDepth and OutputBitDepth respectively. The Bit depths can be obtained by using the respective methods in the ISensorMode interface.

See also:
  ISensorMode

Definition at line 81 of file PwlWdrSensorMode.h.

## Constructor & Destructor Documentation

Argus::Ext::IPwlWdrSensorMode::~IPwlWdrSensorMode | ( |  | ) |
| inline protected

Definition at line 103 of file PwlWdrSensorMode.h.

## Member Function Documentation

virtual uint32_t Argus::Ext::IPwlWdrSensorMode::getControlPointCount | ( |  | ) | const
| pure virtual

Returns the number of control points coordinates in the Piecewise Linear compression curve.

virtual Status Argus::Ext::IPwlWdrSensorMode::getControlPoints | ( | std::vector< Point2D< float > > * | points | ) | const
| pure virtual

Returns the Piecewise Linear (PWL) compression curve coordinates.

Parameters:

  [out] | points | The output vector to store the PWL compression curve coordinates. Upon successful return, this vector will filled in with getControlPointCount() count values, each containing a coordinates of PWL compression curve within a Point2D tuple.

static const InterfaceID& Argus::Ext::IPwlWdrSensorMode::id | ( |  | ) |
| inline static

Definition at line 84 of file PwlWdrSensorMode.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/PwlWdrSensorMode.h